Subject: [xml2rfc] #365 (Version_3_cli_txt): sublist spaces with empty is true in definition list is off

From: "xml2rfc issue tracker" <[email-masked]>
Date: Sat, 25 Aug 2018 10:48:03 -0000

#365: sublist spaces with empty is true in definition list is off

 There the spacing isn't quite right:

 {{{
 <dl>
 <dt>kex algorithms</dt>
 <dd>
 <ul empty="true">
 <li><t>ecdh-sha2-nistp256            <xref target="RFC5656"></xref></t>
 </li>
 <li><t>ecdh-sha2-nistp384            <xref target="RFC5656"></xref></t>
 </li>
 </ul></dd>
 <dt>server host key algorithms</dt>
 <dd><t>x509v3-ecdsa-sha2-nistp256    <xref target="RFC6187"></xref></t>
 </dd>
 <dt>x509v3-ecdsa-sha2-nistp384    <xref target="RFC6187"></xref>
 encryption algorithms (both client_to_server and server_to_client)</dt>
 <dd><t>AEAD<em>AES</em>128_GCM              <xref
 target="RFC5647"></xref></t>
 </dd>
 <dt>AEAD<em>AES</em>256_GCM              <xref target="RFC5647"></xref>
 MAC algorithms (both client_to_server and server_to_client)</dt>
 <dd><t>AEAD<em>AES</em>128_GCM              <xref
 target="RFC5647"></xref></t>
 </dd>
 </dl>
 }}}

 gives

 {{{
    kex algorithms
       ecdh-sha2-nistp256 [RFC5656]

          ecdh-sha2-nistp384 [RFC5656]
 ...
 }}}
 The second item (ecdh...) should be moved to the left.

-- 
-------------------------------+-------------------
 Reporter:  [email-masked]       |      Owner:
     Type:  defect             |     Status:  new
 Priority:  medium             |  Milestone:
Component:  Version_3_cli_txt  |    Version:  2.4.x
 Keywords:                     |
-------------------------------+-------------------

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/365>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Sat, 25 Aug 2018 10:52:25 -0000

Comment (by [email-masked]):

 Also *sometimes* this crashes, but not repeatable, so I'm not sure what's
 going on here.

 {{{
 Parsing file 6239.xml
 6239.xml(0): Warning: Invalid document before running preptool: Did not
 expect element br there, line 45
 6239.xml(0): Warning: Invalid document after running preptool: Did not
 expect element br there, line 45
 6239.xml(4): Warning: Expected a category, one of
 bcp,std,exp,historic,info, but found none
 6239.xml(34): Warning: No renderer for <blockquote> found
 6239.xml(40): Warning: No renderer for <bcp14> found
 6239.xml(46): Warning: No renderer for <br> found
 Traceback (most recent call last):
   File "/usr/bin/xml2rfc", line 11, in <module>
     load_entry_point('xml2rfc==2.10.0', 'console_scripts', 'xml2rfc')()
   File "/usr/lib/python3/dist-packages/xml2rfc/run.py", line 384, in main
     textwriter.write(filename)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 163,
 in write
     text = self.render(self.root, width=72, joiners=joiners)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 2495, in render_rfc
     ctext = self.render(c, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 1710, in render_middle
     text = self.join(text, c, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 211,
 in join
     etext = self.render(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 2769, in render_section
     text = self.join(text, c, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 211,
 in join
     etext = self.render(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 1047, in render_dl
     text = self.join(text, c, width, prev=prev, newline=newline, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 211,
 in join
     etext = self.render(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 933,
 in render_dd
     term = self.render_dt(dt, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 1066, in render_dt
     text = fill(self.inner_text_renderer(e), width=width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 278,
 in inner_text_renderer
     text += self.render(c, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line 192,
 in render
     res = func(e, width, **kwargs)
   File "/usr/lib/python3/dist-packages/xml2rfc/writers/text.py", line
 3855, in render_ul
     kwargs['joiners'].update({
 KeyError: 'joiners'
 Makefile:8: recipe for target '6239.txt' failed
 make: *** [6239.txt] Error 1
 }}}

-- 
--------------------------------+-------------------
Resolution:                     |   Keywords:
--------------------------------+-------------------

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/365#comment:1>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Sat, 25 Aug 2018 10:55:47 -0000

Ah seems repeatable, full xml (of the <dl>):
 {{{
 <dl>
 <dt>kex algorithms</dt>
 <dd>
 <ul empty="true" spacing="compact">
 <li><t>ecdh-sha2-nistp256            <xref target="RFC5656"></xref></t>
 </li>
 <li><t>ecdh-sha2-nistp384            <xref target="RFC5656"></xref></t>
 </li>
 </ul></dd>
 <dt>server host key algorithms</dt>
 <dd>
 <ul empty="true" spacing="compact">
 <li><t>x509v3-ecdsa-sha2-nistp256    <xref target="RFC6187"></xref></t>
 </li>
 <li><t>x509v3-ecdsa-sha2-nistp384    <xref target="RFC6187"></xref>
 encryption algorithms (both client_to_server and server_to_client)</t>
 </li>
 </ul></dd>
 <dd>
 <ul empty="true" spacing="compact">
 <li><t>AEAD<em>AES</em>128_GCM              <xref
 target="RFC5647"></xref></t>
 </li>
 <li><t>AEAD<em>AES</em>256_GCM              <xref target="RFC5647"></xref>
 MAC algorithms (both client_to_server and server_to_client)</t>
 </li>
 </ul></dd>
 <dd>
 <ul empty="true" spacing="compact">
 <li><t>AEAD<em>AES</em>128_GCM              <xref
 target="RFC5647"></xref></t>
 </li>
 <li><t>AEAD<em>AES</em>256_GCM              <xref
 target="RFC5647"></xref></t>
 </li>
 </ul></dd>
 </dl>
 }}}

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/365#comment:2>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>